local dp = natural_habitat.dupes;

local y_min, y_max = -31000, 31000;

if core.get_modpath("mcl_vars") then
    y_min = mcl_vars.mg_overworld_min;
    y_max = mcl_vars.mg_overworld_max;
end;

if not dp.biomes.mountains then
    dp.biomes.mountains = m7a.register_biome({
        name = m7a.mod_impact("mountains", {
            ["mcl_biomes"] = "Mountains",
        }),
        
        depth_top = 1,
        node_top = dp.soil_with_grass,
        node_top_underground = dp.stone,
        node_top_deep_underground = dp.stone_deep,
        
        height = 50,
        
        depth_filler = 3,
        node_filler = dp.soil,
        node_filler_underground = dp.stone,
        node_filler_deep_underground = dp.stone_deep,
        
        depth_shore = 3,
        node_top_shore = dp.sand,
        
        node_dungeon = dp.cobble or "air",
        node_dungeon_alt = dp.mossycobble or "air",
        node_dungeon_stair = dp.stair_cobble or "air",
        
        vertical_blend = 3,
        
        y_min = y_min,
        y_max = y_max,
        
        heat_point = 18,
        humidity_point = 40,
        
        _mcl_biome_type = "medium",
        _mcl_palette_index = 30,
        _mcl_skycolor = "#6EB1FF",
        _mcl_fogcolor = "#C0D8FF",
        _mcl_groups = { is_overworld = true, },
    })
    dp.biomes.mountains_edge = m7a.mod_impact("mountains_edge", {
        ["mcl_biomes"] = "Mountains_edge",
    });
end;